### Class

# Meta SelectionSource

#### Description

    class Meta.SelectionSource : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- MetaSelectionSourceMemory

#### Instance methods

###### meta_selection_source_get_mimetypes

Returns the list of supported mimetypes.

###### meta_selection_source_is_active

Returns `TRUE` if the source is active on a selection.

###### meta_selection_source_read_async

No description available.

###### meta_selection_source_read_finish

Finishes a read from the selection source.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Meta.SelectionSource::activated

No description available.

###### Meta.SelectionSource::deactivated

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaSelectionSourceClass {
      GObjectClass parent_class;
      void (* activated) (
        MetaSelectionSource* source
      );
      void (* deactivated) (
        MetaSelectionSource* source
      );
      GList* (* get_mimetypes) (
        MetaSelectionSource* source
      );
      void (* read_async) (
        MetaSelectionSource* source,
        const gchar* mimetype,
        GCancellable* cancellable,
        GAsyncReadyCallback callback,
        gpointer user_data
      );
      GInputStream* (* read_finish) (
        MetaSelectionSource* source,
        GAsyncResult* result,
        GError** error
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`activated: void (* activated) ( MetaSelectionSource* source )`

  No description available.

`deactivated: void (* deactivated) ( MetaSelectionSource* source )`

  No description available.

`get_mimetypes: GList* (* get_mimetypes) ( MetaSelectionSource* source )`

  No description available.

`read_async: void (* read_async) ( MetaSelectionSource* source, const gchar* mimetype, GCancellable* cancellable, GAsyncReadyCallback callback, gpointer user_data )`

  No description available.

`read_finish: GInputStream* (* read_finish) ( MetaSelectionSource* source, GAsyncResult* result, GError** error )`

  No description available.

#### Virtual methods

###### Meta.SelectionSourceClass.activated

No description available.

###### Meta.SelectionSourceClass.deactivated

No description available.

###### Meta.SelectionSourceClass.get_mimetypes

Returns the list of supported mimetypes.

###### Meta.SelectionSourceClass.read_async

No description available.

###### Meta.SelectionSourceClass.read_finish

Finishes a read from the selection source.